Use this collection to retrieve a paginated list of transactions. The transactions are returned sorted by account and then posted date descending order - with pending transactions appearing first. Transactions are paginated in chunks of 500. Absence of next link means that there are no more pages to retrieve.
| Arguments | |
|---|---|
| limitstring, optional | This represents the maximum number of items that may be included in the response (maximum of 500). Note that by default 500 items are returned if this value is not specified. |
| filter string, optional | This list can be filtered by the following properties:
Note: this filter applies only to JSON structure, due to the difference in CSV formatting* |
Returns
Returns a paginated list with a data property that contains an array of transactions from the affordability snapshot. Each entry in the array is a separate object. If no data is returned, the resulting array will be empty. Otherwise, this call returns an error in the event of a failure.
Affordability TransactionsThe array of transactions used to generate Affordability insights is the full snapshot of transactions as per the transactions resource where the following attributes are specific to Affordability:
- there is no link to self
class: enums specific to affordability provide more granularity around transfer transactions - detailed in the tablesubClass: attribute returns HEC class for payments by default or alternatively the custom class configured for a partner account
Each affordability transaction contains the same attributes however the data extends the transactions resource as follows:
| Attributes | |
|---|---|
class | Describes the class(type) of transaction. Possible values depend on the direction field, and include: |
| Debit Classes: | |
| |
| Credit Classes: | |
| |
subClass | Attribute includes a code and title property. The subClass attribute will only return values for payment transactions (i.e. will be empty for all others) ( [affordability only] - HEC classification class is returned by default or custom class is returned if configured - ask us about custom category mapping) |
links | A links object containing the following members: |
|
GET /users/USER.ID/affordability/{affordability.id}/transactionsGET /users/115dc708/affordability/9dedbb28/transactions HTTP/1.1
Authorization: Bearer YOUR_ACCESS_TOKENHTTP/1.1 200 OK
Content-Type: application/json
{
"type": "list",
"count": 500,
"size": 4434,
"data": [
{
"type": "transaction",
"id": "8272d3cb",
"status": "posted",
"description": "DDEBIT Only About Children Seaforth",
"amount": "-114.88",
"account": "5b45bd2e",
"balance": "-114.34",
"direction": "debit",
"class": "payment",
"institution": "AU00000",
"transactionDate": "",
"postDate": "2017-06-12T00:00:00Z",
"subClass": {
"title": "Formal child care services nec",
"code": "0801050199"
},
"links": {
"account": "https://au-api.basiq.io/users/115dc708/accounts/5b45bd2e",
"institution": "https://au-api.basiq.io/institutions/AU00000"
}
},
{
"type": "transaction",
"id": "4258e66b",
"status": "posted",
"description": "TFR Acc14000 TO 12389",
"amount": "-500.00",
"account": "5b45bd2e",
"balance": "7895.00",
"direction": "debit",
"class": "internal-transfer",
"institution": "AU00000",
"transactionDate": "",
"postDate": "2017-06-13T00:00:00Z",
"subClass": null,
"links": {
"account": "https://au-api.basiq.io/users/115dc708/accounts/5b45bd2e",
"institution": "https://au-api.basiq.io/institutions/AU00000"
}
},
],
"links": {
"self": "https://au-api.basiq.io/users/115dc708/affordability/9dedbb28/transactions",
"next": "https://au-api.basiq.io/users/115dc708/affordability/9dedbb28/transactions?next=9b7d9a64"
}
}